Bug 104090 - Evolution hangs when filtering with "pinging IMAP server"
Evolution hangs when filtering with "pinging IMAP server"
Product: Red Hat Linux
Classification: Retired
Component: evolution (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Matthew Barnes
Depends On:
  Show dependency treegraph
Reported: 2003-09-09 15:34 EDT by Peter Kiem
Modified: 2007-04-18 12:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-01-01 16:24:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Peter Kiem 2003-09-09 15:34:03 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
I'm having problems with Evolution hanging when using large IMAP folders.

I have Evolution connected to two IMAP servers, one being the mail gateway and
the other an internal machine for storing my email long term.

When applying filters to my inbox on the gateway to move emails to the folders
on my internal machine Evolution randomly hangs with "pinging IMAP server
mail.zordah.net" and will not return.  I have to kill the Evolution process and
start again.

Always seems to hang on mail gateway machine, not my internal one which is
slower and has the larger IMAP folders which leads me to think that the bug
applies to the mailbox which the filter is running on and moving the emails from.

Evolution 1.0.8 from Red Hat 7.3 was stable but since upgrading to Red Hat 9 is
when this started happening.  I have even upgraded to Evolution 1.4.4-4 from
rawhide but the same problem exists.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Have a large inbox (500+ emails) on one IMAP server
2. Mark all messages
3. Filter emails to another server into folders containing 5000+ emails each.

Actual Results:  After processing for a while Evolution stops with a message
"Pinging IMAP server xxx" in the message panel.  All mail activites stop and
will not recover.

Expected Results:  All mail gets filtered and messages in inbox marked as deleted.

Additional info:

Since this always seems to hang on the inbox on the mail gateway machine it
suggests to me that perhaps new mail arrives in the time Evolution is taking to
filter the emails and gets it confused?

I have seen it come up "Pinging IMAP server raistlin.zordah.net" which is my
internal mail machine but it always recovers from that within a few seconds.
Comment 1 Jeremy Katz 2003-10-14 19:00:28 EDT
1.4.x should handle this somewhat better (there were rewrites of some parts in
camel to make this work a little better)
Comment 2 Peter Kiem 2003-10-14 21:08:19 EDT
As stated I have already upgraded to version 1.4.4-4 from rawhide and the 
problem persisted!
Comment 3 Dave Malcolm 2004-09-20 22:26:38 EDT
I'm sorry that this bug has been open of so long with no activity.

What version of Evolution are you now running?  Are you still seeing
this bug?  If so, please run evolution with the environment variable
CAMEL_VERBOSE_DEBUG=1, which may yield useful debug information.
Comment 4 Peter Kiem 2004-09-21 14:56:19 EDT
I upgraded to Fedora Core 1 and Evolution 1.4.5

Since doing that I have had no issues with the reported bug.
Comment 5 Dave Malcolm 2004-09-21 15:33:03 EDT
Good to hear that it's working for you; resolving as WORKSFORME
Comment 6 Jim Meyer 2004-11-17 22:50:23 EST

I'd like to revive this bug as I see the same behavior in RHEL3 using
Evo 1.4.5 and 1.4.6. Furthermore, I found this message from the Evo
Users mailing list which seems to acknowledge that this can still be a
problem in 1.4.x


Unfortunately, this bug bites me multiple times daily. =\


Comment 7 Dave Malcolm 2004-11-19 18:53:56 EST
Reopening as requested in comment #6

Comment 8 Bill Nottingham 2006-08-05 01:39:55 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 10 Matthew Barnes 2007-01-01 16:24:22 EST
Closing as CANTFIX since the bug is filed against a version of Evolution that is
no longer supported.  Please open a new bug report if this problem is still
present in Fedora Core 6 or later.

Note You need to log in before you can comment on or make changes to this bug.